<?php
namespace Bushelpowered\Api\Platform\Eventstore\Common;
        
class Event 
{
    public string $stream;
    /** @var string $generatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $generatedAt;
    public array $metadata;
    public \Bushelpowered\Api\Platform\Eventstore\Common\EventContent $content;
    public string $brokerId;
    public ?string $idempotencyKey = null;
    public ?string $aggregateId = null;
    public ?string $entityId = null;
    public ?string $tenantId = null;

    /**
     * @param  string  $generatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $stream, string $generatedAt, array $metadata, \Bushelpowered\Api\Platform\Eventstore\Common\EventContent $content, string $brokerId, ?string $idempotencyKey, ?string $aggregateId, ?string $entityId, ?string $tenantId)
    {
        $this->stream = $stream;
        $this->generatedAt = $generatedAt;
        $this->metadata = $metadata;
        $this->content = $content;
        $this->brokerId = $brokerId;
        $this->idempotencyKey = $idempotencyKey;
        $this->aggregateId = $aggregateId;
        $this->entityId = $entityId;
        $this->tenantId = $tenantId;
    }
    

}