<?php
namespace Bushelpowered\Api\Platform\Eventstore\Common;
        
class EventPagination implements \Bushelpowered\Api\Common\PaginationBase
{
    public ?string $token = null;
    public ?int $pageSize = null;

    /**
     */
    public function __construct(?string $token, ?int $pageSize)
    {
        $this->token = $token;
        $this->pageSize = $pageSize;
    }
    
    public function getToken(): ?string
    {
        return $this->token;
    }
    public function getPageSize(): ?int
    {
        return $this->pageSize;
    }
}